import java.awt.*;
import java.awt.geom.*;

public class Box2D extends java.applet.Applet         
{

    public void paint(Graphics g) {
    
       Graphics2D graphics2D = (Graphics2D) g;
    
       graphics2D.setColor(Color.green);

       GeneralPath rectangle = new GeneralPath();

       rectangle.moveTo(0, 0); 
       rectangle.lineTo(-100, 0); 
       rectangle.lineTo(-100, 50); 
       rectangle.lineTo(0, 50); 
       rectangle.closePath(); 

       AffineTransform transform = new AffineTransform();
       transform.setToTranslation(100, 100);
       graphics2D.transform(transform);

       graphics2D.fill(rectangle);
    
       graphics2D.setColor(Color.blue); 

       transform.setToTranslation(50.0, 0.0);
       graphics2D.transform(transform);

       transform.setToRotation(Math.PI/2.0);   
       graphics2D.transform(transform);

       graphics2D.fill(rectangle);
    }
}
