import com.sun.java.swing.*;
import com.sun.java.swing.event.*;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class SwingToolbar extends Applet {

    JToolBar toolbar;
    JButton button1, button2, button3;
    TextField text;

    public void init() {
    
        JToolBar toolBar = new JToolBar();
    
        JButton button1 = new JButton("Button 1", new ImageIcon("image.jpg"));
        Command command1 = new Command(1, this);
        button1.addActionListener(command1);
        toolBar.add(button1);
    
        JButton button2 = new JButton("Button 2", new ImageIcon("image.jpg"));
        Command command2 = new Command(2, this);
        button2.addActionListener(command2);
        toolBar.add(button2);
    
        JButton button3 = new JButton("Button 3", new ImageIcon("image.jpg"));
        Command command3 = new Command(3, this);
        button3.addActionListener(command3);
        toolBar.add(button3);
    
        add(toolBar);
    
        text = new TextField(20);
        add(text);
    }
}

class Command implements ActionListener {

    int commandID;
    SwingToolbar toolbarApplet;

    public Command(int commandID, SwingToolbar toolbarApplet){
        this.commandID = commandID;
        this.toolbarApplet = toolbarApplet;
    }

    public void actionPerformed(ActionEvent e){
        switch(commandID) {
            case 1:
                toolbarApplet.text.setText("Button 1 clicked.");
                break;
            case 2:
                toolbarApplet.text.setText("Button 2 clicked.");
                break;
            case 3:
                toolbarApplet.text.setText("Button 3 clicked.");
                break;
        }
    }
}
  


