
        import java.awt.*;
        import java.awt.event.*;
        import java.lang.Math;
        import java.applet.Applet;

    public class imagesizer extends Applet implements MouseListener {

        Image image;
        boolean bMouseDownFlag = false;
        boolean bMouseUpFlag = false;
        Point ptAnchor, ptDrawTo; 

        public void init() {
                image = getImage(getCodeBase(), "figure.jpg");
                addMouseListener(this);
        }

        public void mousePressed(MouseEvent e){
                bMouseDownFlag = true;
                bMouseUpFlag = false;
                ptAnchor = new Point(e.getX(), e.getY());
        }

        public void mouseReleased(MouseEvent e){
                bMouseDownFlag = false;
                bMouseUpFlag = true;

                ptDrawTo = new Point(Math.max(e.getX(), ptAnchor.x), Math.max(e.getY(), ptAnchor.y)); 
                ptAnchor = new Point(Math.min(e.getX(), ptAnchor.x), Math.min(e.getY(), ptAnchor.y)); 
                repaint(); 
        }


        public void mouseClicked(MouseEvent e){}

        public void mouseEntered(MouseEvent e){}

        public void mouseExited(MouseEvent e){}

        public void paint (Graphics g) {
                int drawWidth, drawHeight;

                if(bMouseUpFlag){
                        drawWidth = ptDrawTo.x - ptAnchor.x;
                        drawHeight = ptDrawTo.y - ptAnchor.y;
                        g.drawRect(ptAnchor.x, ptAnchor.y, drawWidth, drawHeight);
                        g.drawImage(image, ptAnchor.x, ptAnchor.y, drawWidth, drawHeight, this);
                }
        }
   }

