import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;

public class scribbler extends Applet implements ActionListener, KeyListener {

    String text = "";
    int x = 0; 
    int y = 0;

    Button boldbutton, italicbutton, largebutton;
    Button romanbutton, courierbutton, clearbutton;     
    boolean bBoldFlag = false;                     
    boolean bItalicFlag = false;                   
    boolean bLargeFlag = false;                     
    boolean bRomanFlag = true;                     
    boolean bCourierFlag = false;                     
    FontMetrics fontmetrics;

    public void init()
    {
        boldbutton = new Button("Bold font");                   
        boldbutton.addActionListener(this);

        italicbutton = new Button("Italic font");              
        italicbutton.addActionListener(this);

        largebutton = new Button("Large font");                   
        largebutton.addActionListener(this);

        romanbutton = new Button("Roman font");                   
        romanbutton.addActionListener(this);

        courierbutton = new Button("Courier font");                   
        courierbutton.addActionListener(this);

        clearbutton = new Button("Clear text");
        clearbutton.addActionListener(this);
                                                                           
        add(boldbutton);                                   
        add(italicbutton);                                 
        add(largebutton);                                   
        add(romanbutton);                                   
        add(courierbutton);                                   
        add(clearbutton);

        addKeyListener(this);
        requestFocus();
    }

    public void actionPerformed(ActionEvent event){
        if(event.getSource() == boldbutton){
            bBoldFlag = !bBoldFlag; 
            requestFocus();
        }                                       
        if(event.getSource() == italicbutton){
            bItalicFlag = !bItalicFlag; 
            requestFocus();
        }                                       
        if(event.getSource() == largebutton){
            bLargeFlag = !bLargeFlag; 
            requestFocus();
        }                                       
        if(event.getSource() == romanbutton){
            bRomanFlag = true;
            bCourierFlag = false;              
            requestFocus();
        }                                       
        if(event.getSource() == courierbutton){
            bCourierFlag = true; 
            bRomanFlag = false;              
            requestFocus();
        }                                       
        if(event.getSource() == clearbutton){
            text = "";
            requestFocus();
        }                                       
        repaint();
    }
                                                    

    public void paint(Graphics g)
    {
        String fontname = "Roman"; 
        int type = Font.PLAIN;      
        int size = 24;              
        Font font;

        if(bBoldFlag){
            type = type | Font.BOLD;
        }
        if(bItalicFlag){
            type = type | Font.ITALIC;
        }
          if(bLargeFlag){
            size = 48;
        }
        if(bRomanFlag){
            fontname = "Roman"; 
        }
        if(bCourierFlag){
            fontname = "Courier"; 
        }

        font = new Font(fontname, type, size);
        g.setFont(font); 

        fontmetrics = getFontMetrics(font);
        x = (getSize().width - fontmetrics.stringWidth(text)) / 2;
        y = (getSize().height + fontmetrics.getHeight()) / 2;

        g.drawString(text, x, y);
    }

    public void keyTyped(KeyEvent e) {
        text = text + e.getKeyChar(); 
        repaint(); 
    }

    public void keyPressed(KeyEvent e) {
    }

    public void keyReleased(KeyEvent e) {
    }

}
